import { Modal, ModalService } from '@zeedhi/common';

export class ExpenBudgetModalController {
  private expenBudgetSelected: string = '';
  
  private expenBudgetModal!: Modal;

  public async createExpenBudgetModal() {
    this.expenBudgetModal = await ModalService.createFromJson('/modals/expenseBudgetModal', true);
  }

  public async destroyExpenBudgetModal() {
    this.expenBudgetModal?.destroy();
  }

  public openExpenBudgetModal({ component }) {
    this.expenBudgetSelected = component.options.props.idOrigem;
    this.showModal();
  }

  public closeExpenBudgetModal() {
    this.expenBudgetModal.hide();
  }

  public async showModal() {
    this.destroyExpenBudgetModal();
    await this.createExpenBudgetModal();
    this.expenBudgetModal.show();
  }
}
